/*
*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  box-sizing: inherit;
}

html {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  font-size: 62.5%;
}
*/

.btn,
a.btn,
button.btn {
  font-size: 1rem;
  font-weight: 500;
  line-height: 1;
  position: relative;
  display: inline-block;
  padding: 1rem 4rem;
  margin-top: 0.2rem;
  margin-bottom: 0.6rem;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;

  color: #212529;
  border-radius: 0.5rem;
}

a.btn-flat {
  overflow: hidden;

  padding: 0.6rem 4rem;

  color: #fff;
  border-radius: 0;
  background: #8a919c;
}

a.btn-flat span {
  position: relative;
}
/*
a.btn-flat:before {
  position: absolute;
  top: 0;
  left: 0;

  width: 150%;
  height: 500%;

  content: "";
  -webkit-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  -webkit-transform: translateX(-98%) translateY(-25%) rotate(45deg);
  transform: translateX(-98%) translateY(-25%) rotate(45deg);

  background: #00b7ee;
}
a.btn-flat:hover:before {
  -webkit-transform: translateX(-9%) translateY(-25%) rotate(45deg);
  transform: translateX(-9%) translateY(-25%) rotate(45deg);
}
*/
a.btn-flat:before {
    position: absolute;
    top: 0;
    left: 0;
  
    width: 150%;
    height: 600%;
  
    content: "";
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    -webkit-transform: translateX(-75%) translateY(-25%) rotate(45deg);
    transform: translateX(-75%) translateY(-25%) rotate(45deg);
  
    background: #00b7ee;
  }
  a.btn-flat:hover:before {
    -webkit-transform: translateX(-9%) translateY(-25%) rotate(45deg);
    transform: translateX(-9%) translateY(-25%) rotate(45deg);
  }